/*
Theme Name: Twenty Twenty-Five Child
Theme URI: https://example.com/
Description: Child theme for the Twenty Twenty-Five theme
Author: Your Name
Template: twentytwentyfive
Version: 1.0
Text Domain: twentytwentyfive-child
*/

@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@300..700&display=swap');

* {
  font-family: "Comfortaa", sans-serif !important;
  font-weight: 400;
  font-style: normal;
}

header.wp-block-template-part {
    background: #171238;
}

header.wp-block-template-part a {
    color: #fff;
    text-decoration: none;
    letter-spacing: 0.3px;
    background: #171238;
    padding: 6px 18px;
    border-radius: 30px;
    position: relative;
    transition: all ease .2s;
    display: block;
    text-align: center;
    font-weight: 300;
}

header.wp-block-template-part a:hover {
    background: #4838b0;
    transition: all ease .2s;
}

header.wp-block-template-part p:before {
    content: '';
    display: block;
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    position: absolute;
    z-index: 0;
    left: -2px;
    top: -2px;
    border-radius: 30px;
    background: linear-gradient(45deg, #efce5c, #08CA59, #7350FF);
}
header.wp-block-template-part p {
    position: relative;
}

section.hero-section {
    display: flex;
}

section.hero-section .col {
    width: 50%;
}

.hero-section .col.img {
    background: url(https://samplepack.promocraft.ro/wp-content/uploads/2025/10/promocraft-sample-1.webp);
    background-size: cover;
    background-position: center;
    min-height: 530px;
    width: 60%;
}

.hero-section .col.txt {
    padding: 32px;
    align-items: center;
    display: flex;
    background: #342DA3;
    width: 40%;
}

.entry-content.alignfull.wp-block-post-content.has-global-padding.is-layout-constrained.wp-container-core-post-content-is-layout-44626644.wp-block-post-content-is-layout-constrained {
    padding: 0;
    margin: 0;
}



h1 {
    font-size: 4.414vw;
    color: #fff;
    line-height: 110%;
}

h1 span {
    color: #B4FD52;
    display: block;
}

section.imgleft {
    background: #4F3BD5;
    display: flex;
    padding: 32px;
    margin-top: 110px;
}

section.imgleft .img {
    width: 60%;
    align-items: center;
    justify-content: center;
    display: flex;
    padding: 0 32px;
    flex: 0 0 60%;
    box-sizing: border-box;
}

section.imgleft .txt {
    width: 40%;
    padding: 32px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    flex: 0 0 40%;
    box-sizing: border-box;
}

section.imgleft .img img {
    margin-top: -84px;
    border-radius: 30px;
}

section.imgleft h2 {
    color: #fff;
    font-size: 2.759vw;
    line-height: 110%;
}

section.imgleft p {
    color: #B4FD52;
    font-size: 2vw;
    line-height: 110%;
}

.cta {
    text-align: center;
    padding: 32px;
}

.cta h2 {
    font-size: 3.31vw;
    line-height: 110%;
}


.container {
    display: flex;
    max-width: 1500px;
    margin: auto;
    flex-wrap: wrap;
}

.cta .container {
    display: block;
}


@media(min-width: 1600px) {
    h1 { font-size: 60px; }
    h2, section.imgleft h2 { font-size: 40px; }
    section.imgleft p { font-size: 32px; }
    .cta h2 { font-size: 48px; }
    
}


.fluentform .ff-el-input--label.ff-el-is-required.asterisk-right label:after { 
    display: none;
}

.fluentform .ff-el-form-control {
    display: inline !important;
    width: auto;
}

.ff-el-input--content {
    display: inline;
    margin-left: 6px;
}

.fluentform .ff-el-group {
    display: inline-block !important;
    margin-right: 10px;
}

.ff-el-group.ff-text-center.ff_submit_btn_wrapper {
    display: block !important;
}

.cta input.ff-el-form-control {
    border: 0 !important;
    border-bottom: 1px solid !important;
    border-radius: 0;
    padding: 0 6px;
    min-width: 300px;
    font-size: 20px;
}

.ff-el-group.ff-custom_html {
    display: block !important;
}

button.ff-btn.ff-btn-submit.ff-btn-md.ff_btn_style {
    color: #fff;
    text-decoration: none;
    letter-spacing: 0.3px;
    background: #342DA3;
    padding: 6px 18px;
    border-radius: 30px;
    position: relative;
    transition: all ease .2s;
    display: block;
    text-align: center;
    font-weight: 300;
    margin: auto;
    font-size: 20px;
}

button.ff-btn.ff-btn-submit.ff-btn-md.ff_btn_style:before {
    content: '';
    display: block;
    width: calc(100% + 8px);
    height: calc(100% + 8px);
    position: absolute;
    z-index: 0;
    left: -4px;
    top: -4px;
    border-radius: 30px;
    background: linear-gradient(45deg, #efce5c, #08CA59, #7350FF);
    z-index: -1;
}

button.ff-btn.ff-btn-submit.ff-btn-md.ff_btn_style:hover {
    background: #7e6ef2 !important;
    opacity: 1 !important;
}

footer.wp-block-template-part * {
    color: #fff;
}
footer.wp-block-template-part {
    background: #351686;
    padding: 44px;
}
h2 span {
    color: #B4FD52 !important;
}
.ftr0 {
    display: flex;
    width: 100%;
    flex: 0 0 100%;
    position: relative;
}

.ftr1.mx-auto.grid.grid-cols-7.gap-20.justify-self-center.relative {
    display: flex;
    align-items: flex-start;
    justify-content: space-around;
    width: 100%;
    position: relative;
}

.ftr1.mx-auto.grid.grid-cols-7.gap-20.justify-self-center.relative a {
    margin: 0 8px;
    text-align: center;
    text-decoration: none;
    font-size: 15px;
}

.ftr1.mx-auto.grid.grid-cols-7.gap-20.justify-self-center.relative a .flex.items-center.justify-center {
    height: 80px;
    justify-content: center;
    align-items: center;
    display: flex;
}

.bg-primary_dark {
    background: #271260;
    height: 85px;
    width: 100%;
    position: absolute;
    border-radius: 60px;
}
body:after {
    content: '';
    display: block;
    width: 100%;
    height: 78px;
    background: url(https://samplepack.promocraft.ro/wp-content/uploads/2025/10/promocraft-footer.webp);
    background-size: cover;
    background-position: center;
}


@media(max-width: 1023px) {
    .hero-section .col.img { min-height: 350px; }
    section.imgleft {    padding: 22px;}
    section.imgleft .txt, section.imgleft .img { padding: 0 11px; }
    .bg-primary_dark { display: none; }

    .ftr1.mx-auto.grid.grid-cols-7.gap-20.justify-self-center.relative a {    flex: 0 0 25%;    margin: 0 auto 22px;}
    .ftr1.mx-auto.grid.grid-cols-7.gap-20.justify-self-center.relative {    display: flex;    flex-direction: row;    flex-wrap: wrap;}
    footer h2 {    text-align: center;}

}

@media(max-width: 767px) {
    .hero-section .col.txt { padding: 22px; }
    .hero-section .col.txt {    order: 2;    text-align: center;    box-sizing: border-box;}
    .hero-section {    display: flex;    flex-wrap: wrap;}
    .hero-section .col.txt, .hero-section .col.img {    width: 100%;    flex: 0 0 100% !important;}
    .hero-section h1 { display: block; width: 100%; font-size: 22px; }
    header.wp-block-template-part a {    font-size: 12px;    padding: 6px 12px;}
    header figure.wp-block-image.size-full {    max-width: 160px;}
    .imgleft .container {    display: block;    text-align: center;}
    section.imgleft .txt, section.imgleft .img {    display: block;    width: 100%;}
    .imgleft img {    max-height: 300px !important;    width: auto;}
    section.imgleft h2 {    font-size: 22px;}
    section.imgleft p {    font-size: 16px;    line-height: 125%;}
    .cta h2 {    font-size: 24px;    line-height: 125%;    margin-bottom: 33px;}
    section.imgleft .img img {    border-radius: 10px;}

}
























